#include <bits/stdc++.h>
using namespace std;

__int128 read_int128() {
    string s;
    cin >> s;
    __int128 x = 0;
    for (char c : s) {
        x = x * 10 + (c - '0');
    }
    return x;
}

void print_int128(__int128 x) {
    if (x == 0) {
        cout << 0;
        return;
    }
    string s;
    while (x > 0) {
        s.push_back(char('0' + (x % 10)));
        x /= 10;
    }
    reverse(s.begin(), s.end());
    cout << s;
}

__int128 find_sum(__int128 A, __int128 B) {
    return A + B;
}

int main() {
    __int128 A = read_int128();
    __int128 B = read_int128();

    __int128 ans = find_sum(A, B);
    print_int128(ans);
    return 0;
}